commit:     8c4fcf86f337aaaa86eee75bcc05fcf4ca3c390c
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Nov 12 22:32:06 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Dec 16 19:39:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c4fcf86

games-strategy/freecol: restrict to max jdk 25

Closes: https://bugs.gentoo.org/965465
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Part-of: https://github.com/gentoo/gentoo/pull/44607
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 .../freecol/{freecol-1.2.0.ebuild => freecol-1.2.0-r1.ebuild}           | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-strategy/freecol/freecol-1.2.0.ebuild 
b/games-strategy/freecol/freecol-1.2.0-r1.ebuild
similarity index 96%
rename from games-strategy/freecol/freecol-1.2.0.ebuild
rename to games-strategy/freecol/freecol-1.2.0-r1.ebuild
index 82d5ae9b33db..b946978049e2 100644
--- a/games-strategy/freecol/freecol-1.2.0.ebuild
+++ b/games-strategy/freecol/freecol-1.2.0-r1.ebuild
@@ -25,7 +25,7 @@ CP_DEPEND="
        dev-java/miglayout:5
 "
 DEPEND="
-       >=virtual/jdk-11:*
+       || ( virtual/jdk:25 virtual/jdk:21 virtual/jdk:17 virtual/jdk:11 )
        ${CP_DEPEND}
 "
 # error: variables in try-with-resources are not supported in -source 8

Reply via email to